import { assert } from "https://deno.land/std@0.223.0/assert/assert.ts";
import { assertExists } from "https://deno.land/std@0.223.0/assert/assert_exists.ts";

import { Client, TextChannel } from "npm:discord.js";

import { Devoir } from "./storage.ts";

export async function fetch_feed_channel(bot: Client, feed: { channel_id: string }) {
	const feed_channel = await bot.channels.fetch(feed.channel_id);
	assertExists(feed_channel);
	assert(feed_channel instanceof TextChannel);
	return feed_channel;
}

export function format_devoir_title(devoir: Devoir) {
	const date = new Date(devoir.date);
	return `${date.getDate()}/${date.getMonth() + 1} - ${devoir.subject}`;
}
